<?php
session_start();

include "configbd.php";
include("antisql.php");
// VERIFICA EMAIL E NOME DE NUCLEO
$sql_verifica1 = "SELECT * FROM senuc_login where email='".$_POST['email']."'";
$busca1 = mysql_query($sql_verifica1,$conexao1);
$linhas1=mysql_num_rows($busca1);
$sql_verifica2 = "SELECT * FROM senuc_login where username='".$_POST['email']."'";
$busca2 = mysql_query($sql_verifica2,$conexao1);
$linhas2=mysql_num_rows($busca2);
$sql_verifica3 = "SELECT * FROM senuc_nucleo where nome='".$_POST['nome_nucleo']."'";
$busca3 = mysql_query($sql_verifica3,$conexao1);
$linhas3=mysql_num_rows($busca3);


// Here you must put your code for validating and escaping all the input data,
// inserting new records in your DB and echo-ing a message of the type:

// echo msg(1,"/member-area.php");

// where member-area.php is the address on your site where registered users are
// redirected after registration.

$nome = "Teste direto";
$cpf = "Teste direto";;
$sexo = 1; 
$estado = 1; 
$cidade = 1;
$endereco = "Teste direto"; 
$telefone = "Teste direto";
$celular = "Teste direto";
$operadora = 1;
$email = "testedireto@teste.com";
$dia = 1;
$mes = 1;
$ano = 2013;
$etnia = 1;
$escolaridade = 1;
$renda = 1;
$nome_nucleo = "teste direto";
$tipo_nucleo = 1;

$estado_nucleo = 1;
$cidade_nucleo = 2;
$endereco_nucleo= "teste";
$cep_nucleo = "2231221";
$telefone_nucleo = "2231221";
$regional = 1 ;
$site_nucleo = "2231221";
$email_nucleo = "2231221";
$senha = "12345";
$bolsista = "1";



$prepara_para = "1";

$funciona_em = "2";



$data_atual = date('Y-m-d');
$min_aluno=0; 
$min_professor=0; 
$min_coordenador=0; 
$nascimento = $ano."-".$mes."-".$dia;

$senha = md5($senha);
//CALCULO META DE FUNCIONAEMNto
if($tipo_nucleo==1){

$meta_funcionamento = $selected_cnt2*4;}

else{
$sql_chave = "SELECT meta_dias_aberto_virtual as dias FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$dias_virtual =$dados_chave['dias'];}
$meta_funcionamento = 	$dias_virtual;
}
// CALCULO ALUNOS POR COORDENADOR

if($tipo_nucleo==1){

$sql_chave = "SELECT limite_alunos_por_coordenador as limite_alunos FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$alunos_por_coordenador =$dados_chave['limite_alunos'];}

}

//CALCULO META DE ALUNO
if($tipo_nucleo==1){
$sql_chave = "SELECT meta_alunos_presencial as meta_presencial FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$meta_alunos =$dados_chave['meta_presencial'];}

}
else{
$sql_chave = "SELECT meta_alunos_virtual as meta_virtual FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$meta_alunos =$dados_chave['meta_virtual'];}

}
// CALCULO MINIMO PRESENCA ALUNO_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_aluno as min_aluno FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_aluno =$dados_chave['min_aluno'];}

}


// CALCULO MINIMO PRESENCA COORDENADOR_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_coordenador as min_coordenador FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_coordenador =$dados_chave['min_coordenador'];}

}


// CALCULO MINIMO PRESENCA PROFESSOR_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_professor as min_professor FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_professor =$dados_chave['min_professor'];}

}
// CALCULO MINIMO ATIVIDADES_PRESENCIAL E VIRTUAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_atividades_presencial as min_presencial FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_atividades =$dados_chave['min_presencial'];}

}
else{
$sql_chave = "SELECT min_atividades_presencial as min_presencial FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao1);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_atividades =$dados_chave['min_presencial'];}

}



$sql1="INSERT INTO `senuc_nucleo` (`login`, `senha`, `nome`, `responsavel`, `endereco`, `cep`, `estado`, `cidade`, `idregional`, `tipo`, `site`, `email`, `telefone`, `data_inicio`,`prepara_para`,`funciona_em`, `ativo`, `meta_funcionamento`, `meta_alunos`,`limite_alunos_por_coordenador`,`min_presenca_coordenador`,`min_presenca_professor`,`min_presenca_aluno`,`min_atividades`) VALUES
('$email', '$senha', '$nome_nucleo', '$nome', '$endereco_nucleo', '$cep_nucleo', '$estado_nucleo','$cidade_nucleo','$regional','$tipo_nucleo', '$site_nucleo', '$email_nucleo', '$telefone_nucleo', '$data_atual', '$prepara_para', '$funciona_em', 1, '$meta_funcionamento', '$meta_alunos','$alunos_por_coordenador', '$min_coordenador','$min_professor','$min_aluno','$min_atividades')";
$result1 = mysql_query($sql1,$conexao1)or die("Falha na execu�ao da instru�ao SQL!  1"); 
$id_nucleo = mysql_insert_id();

$sql2= "INSERT INTO `senuc_coordenador` (`idnucleo`, `nome`, `cpf`, `estado`, `cidade`, `endereco`, `email`, `telefone`, `celular`, `operadora`, `ingresso_nucleo`, `nascimento`, `etnia`, `renda`, `escolaridade`, `bolsista`,  `ativo`,  `idregional`) VALUES
('$id_nucleo', '$nome', '$cpf', '$estado', '$cidade', '$endereco', '$email', '$telefone', '$celular', '$operadora', '$data_atual', '$nascimento','$etnia','$renda','$escolaridade','$bolsista', 1,'$regional')";
$result2 = mysql_query($sql2,$conexao1) ; 

$sql3="INSERT INTO `senuc_login` (`username`, `nome`, `email`, `telefone`, `celular`, `operadora`, `senha`, `idnucleo`, `idregional`) VALUES
('$email','$nome','$email','$telefone','$celular','$operadora', '$senha', '$id_nucleo','$regional')";
$result3 = mysql_query($sql3,$conexao1);
$id_login = mysql_insert_id();

if($tipo_nucleo==1){
$sql4="INSERT INTO `senucnovo_ugmembers` (`UserName`, `GroupID`) VALUES
('$email', 1)";
$result4 = mysql_query($sql4,$conexao1); 
}else{
$sql4="INSERT INTO `senucnovo_ugmembers` (`UserName`, `GroupID`) VALUES
('$email', 8)";
$result4 = mysql_query($sql4,$conexao1); }


/// GERA CURSO MOODLE

 

$shortname = "";
$array_nome = explode ( " ",$nome_nucleo);
$shortname = $array_nome[0];


$nomecompleto = $nome;
$sobrenome = "";
$array_nome = explode ( " ",$nomecompleto);
$primeiro_nome = $array_nome[0];
for($i=1; $i < count($array_nome); $i++) {
$sobrenome.=" ".$array_nome[$i];

}



$sql5="INSERT INTO `mdl_course` (`category`, `sortorder`, `fullname`, `shortname`,  `summary`, `summaryformat`, `format`, `showgrades`,  `startdate`,  `marker`, `maxbytes`, `legacyfiles`, `showreports`, `visible`, `visibleold`, `hiddensections`, `groupmode`, `groupmodeforce`, `defaultgroupingid`, `lang`, `theme`, `timecreated`, `timemodified`) VALUES
(1, '$id_nucleo', '$nome_nucleo', '$shortname', '<p>BEM VINDO AO N�CLEO EDUCAFRO!!!</p>', 1, 'weeks', 1, UNIX_TIMESTAMP(NOW()), 0, 52428800, 0, 0, 0, 0, 0, 0, 0, 0, 'pt_br', '', UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW()))";


//$sql5 = "INSERT INTO mdl_course (category,fullname,shortname) VALUES (1,'$nome_nucleo','$shortname')";  
$result5 = mysql_query($sql5, $conexao2)or die(mysql_error()."Falha na execu�ao da instru�ao SQL!   5"); 
$id_curso = mysql_insert_id();

$sql6="INSERT INTO mdl_context (contextlevel,instanceid) VALUES (50,'$id_curso')";

$result6 = mysql_query($sql6, $conexao2)or die(mysql_error()."Falha na execu�ao da instru�ao SQL!6");
$id_context = mysql_insert_id();


$sql7="UPDATE  mdl_context SET path='/1/3/".$id_context."', depth=3 WHERE id='$id_context' ";
$result7 = mysql_query($sql7, $conexao2)or die("Falha na execu�ao da instru�ao SQL!- 7");
$sql8="INSERT INTO mdl_course_sections (course,section) VALUES ('$id_curso',0)";
$result8 = mysql_query($sql8, $conexao2);





// INSERE COMO TUTOR COM MESMA SENHA E LOGIN

$sql9="INSERT INTO mdl_user (firstname,lastname,email,username,password,confirmed,description, mnethostid,lang) VALUES ('$primeiro_nome','$sobrenome','$email','$email','$senha',1,'Coordenador Geral',1, 'pt_br')";
$result9 = mysql_query($sql9, $conexao2); 
$id_user = mysql_insert_id();


$sql10 = "INSERT INTO mdl_role_assignments (roleid,contextid,userid,timemodified,modifierid,sortorder,itemid) VALUES (9,'$id_context','$id_user',UNIX_TIMESTAMP(NOW()),'2','$id_nucleo','0')";
$result10 = mysql_query($sql10, $conexao2);

///RECUPERA CHAVE///

$sql20 = "INSERT INTO `mdl_enrol` (`enrol`, `status`, `courseid`, `sortorder`, `name`, `enrolperiod`, `enrolstartdate`, `enrolenddate`, `expirynotify`, `expirythreshold`, `notifyall`, `password`, `cost`, `currency`, `roleid`, `customint1`, `customint2`, `customint3`, `customint4`, `customchar1`, `customchar2`, `customdec1`, `customdec2`, `customtext1`, `customtext2`, `timecreated`, `timemodified`) values
('manual', 0, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW())),
('guest', 1, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW())),
('self', 1, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW()))";

$result20 = mysql_query($sql20, $conexao2);



$sql_chave = "SELECT id FROM mdl_enrol WHERE courseid='".$id_curso."' AND enrol='manual'";
$busca_chave = mysql_query($sql_chave, $conexao2);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$chave =$dados_chave['id'];}

/////INSERE CHAVe///

$sql_insere_chave = "INSERT INTO mdl_user_enrolments (status,enrolid,userid,timestart,timeend,timecreated,timemodified,modifierid) VALUES ('0','".$chave."','".$id_user."',UNIX_TIMESTAMP(NOW()),'0',UNIX_TIMESTAMP(NOW()),UNIX_TIMESTAMP(NOW()),'2')";
mysql_query($sql_insere_chave, $conexao2);



 
  
 $sql40="UPDATE senuc_login set id_mdl='$id_user' where id='$id_login'";
$result40 = mysql_query($sql40,$conexao1); 

$sql41="UPDATE senuc_nucleo set id_mdl='$id_curso' where id='$id_nucleo'";
$result41 = mysql_query($sql41,$conexao1); 



  

?>
